%define __libtoolize /bin/true
%define libmajor 0
%define name katalog
%define libname %mklibname %name %libmajor
%define develname %mklibname -d %name

Name:		%{name}
Version:	0.4
Release:	%mkrel 2
Group:		Archiving/Other
License:	GPL
URL:		http://salvaste.altervista.org/
Source:		http://salvaste.altervista.org/%{name}-%{version}.tar.bz2
BuildRequires:	kdelibs-devel
BuildRequires:	sqlite3-devel
BuildRequires:	scons
Summary:	Katalog is a CD organizer for the K Desktop Environment
Buildroot:	%{_tmppath}/%{name}-%{version}-root

%description
With this application you can scan a CD and store all the data about each
file in a tree structured catalog. You can add as many catalogs as you like.
Searching through the catalogs it's easy and fast.

The folder to search can be on your drive or on a removable media, such a CD,
ZIP or floppy.

Katalog saves data in a XML file, compressed on the fly using gzip.

%package -n %libname
Group:		System/Libraries
License:	GPL
Summary:	Library for %{name}
Obsoletes:	%{libname}-devel

%description -n %libname
Library package for %{name}

%package -n %{develname}
Group:		System/Libraries
License:	GPL
Summary:	Development files for %{name}
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release} 
Provides:	%{_lib}%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{libname}-devel

%description -n %{develname}
Development package for %{name}

%prep
%setup -q

%build

scons configure \
	prefix=%{_prefix} execprefix=%{_bindir} \
	datadir=%{_datadir} libdir=%{_libdir} \
	qtdir=%{qt3dir} \
	qtincludes=%{qt3include} qtlibs=%{qt3lib}
scons

%install
rm -Rf %{buildroot}
scons install DESTDIR=%{buildroot}

# fwang: dispatch the plugins into correct dir
mkdir -p %{buildroot}%{qt3plugins}/sqldrivers
mv %{buildroot}%{qt3dir}/plugins/sqldrivers/* %{buildroot}%{qt3plugins}/sqldrivers

%clean
rm -Rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/services/*
%{_datadir}/mimelnk/*/*
%{_datadir}/apps/%{name}
%{_datadir}/apps/konqueror/servicemenus/*.desktop
%{_datadir}/apps/konqsidebartng/virtual_folders/services/*.desktop
%{_iconsdir}/*/*/*/%{name}*.png
%{_libdir}/kde3/*
%doc README AUTHORS

%files -n %{libname}
%defattr(-,root,root)
%{qt3plugins}/sqldrivers/*

#%files -n %{develname}
#%defattr(-,root,root)
#%{_includedir}/*.h
#%{_libdir}/*.so
#%{_libdir}/*.la


%changelog
* Mon Jun 25 2007 Funda Wang <fundawang@mandriva.org> 0.4-2mdv2008.0
+ Revision: 43976
- migerate to whole scons command
- BR sqlite3
- fix package conflict
- New upstream version
  adopt to new devel package policy
  devel package not avaliable?


* Fri Jul 14 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.3-3mdv2007.0
- Rebuild

* Thu May 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3-2mdk
- Fix build for amd64

* Thu Nov 11 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.3-1mdk
- Initial Mandrake package

